$(document).ready(function()
{

function show_context_make_connections()
{
	show_context_bar_v2('tig_context_make_connections');
}

function show_context_take_action()
{
	show_context_bar_v2('tig_context_take_action');
}

function show_context_browse_resources()
{
	show_context_bar_v2('tig_context_browse_resources');
}

function show_context_express_yourself()
{
	show_context_bar_v2('tig_context_express_yourself');
}


function show_context_understanding_issues()
{
	show_context_bar_v2('tig_context_understanding_issues');
}

function show_context_explore_the_world()
{
	show_context_bar_v2('tig_context_explore_the_world');
}

function show_context_home()
{
	show_context_bar('', context_bar_home_html);
}

function show_context_bar(itemclass, itemdata)
{
	var m = document.getElementById("tig_context_main");
	m.className = 'tig_context_bar_home ' + itemclass;
	m.innerHTML = itemdata;
}

function show_context_bar_v2(itemdatasource)
{
	var target = document.getElementById("tig_context_main");
	var source = document.getElementById(itemdatasource);

	target.className = 'tig_context_bar_home ' + itemdatasource;
	target.innerHTML = source.innerHTML;
}

function initialize_menu()
{
	context_bar_home_html = document.getElementById("tig_context_main").innerHTML;
	document.getElementById("tig_container").attachEvent('onmouseover', show_context_home);
	document.getElementById("tig_make_connections").children[0].attachEvent('onmouseover', show_context_make_connections);
	document.getElementById("tig_take_action").children[0].attachEvent('onmouseover', show_context_take_action);
	document.getElementById("tig_browse_resources").children[0].attachEvent('onmouseover', show_context_browse_resources);
	document.getElementById("tig_express_yourself").children[0].attachEvent('onmouseover', show_context_express_yourself);
	document.getElementById("tig_understanding_issues").children[0].attachEvent('onmouseover', show_context_understanding_issues);
	document.getElementById("tig_explore_the_world").children[0].attachEvent('onmouseover', show_context_explore_the_world);
}

var context_bar_home_html = '';
window.onload = initialize_menu;

});